<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Adds the human readable product condition
 * after the product title.
 *
 * @return string
 */
add_action( 'woocommerce_after_shop_loop_item', 'product_condition_display_shop_category' );
function product_condition_display_shop_category() {
	$shop_page = get_option( 'product_condition_shop_page' );
	if ( ! $shop_page || 'no' == $shop_page ) {
		return;
	}
	global $post;
	// Retrieve the product condition for this product
	$product_condition = product_condition_return_selected_condition( $post->ID );
	if ( $product_condition ) {
		// Filter for the product condition label
		$label = apply_filters( 'product_condition_display_shop_label', __( 'Product Condition: ', 'product-condition' ), $post->ID );
		?>
		<span class="product_condition_shop_wrapper">
			<span class="product_condition_shop_title"><?php echo esc_html( $label ); ?></span>
			<span class="product_condition_shop">
				<?php
				switch ( $product_condition ) {
					case 'other':
					case 'new-other':
						// Retrieve the custom product condition if it is set in the product settings
						$custom_condition = get_post_meta( $post->ID, 'product_condition_custom_condition', true );
						echo esc_html( $custom_condition );
						break;

					default:
						echo esc_html( product_condition_options( $product_condition ) );
						break;
				}
				?>
			</span>
		</span>
		<?php
	}
}
