<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Add a product's condition to the WooCommerce REST API.
 *
 * @param $response object
 * @param $post object
 *
 * @return object
 */
function wcpc_rest_api_add_product_condition_to_product( $response, $post ) {

	// retrieve a custom field and add it to API response
	$response->data['product_condition'] = product_condition_return_selected_condition( $response->data['id'] );

	switch ( $response->data['product_condition'] ) {
		case 'other':
		case 'new-other':
			$response->data['product_condition_custom_condition'] = get_post_meta( $response->data['id'], 'product_condition_custom_condition', true );
			break;

		default:
			$response->data['product_condition_custom_condition'] = false;
			break;
	}

	return $response;

}
add_filter( 'woocommerce_rest_prepare_product_object', 'wcpc_rest_api_add_product_condition_to_product', 90, 2 );
