<?php
/**
 * Plugin Name: Product Condition for WooCommerce
 * Plugin URI: https://amplifyplugins.com
 * Description: Add a condition to your products, so your customers can know in what condition those products are.
 * Requires at least: 3.3.0
 * Tested up to: 5.7.1
 * Version: 1.4.1
 * Author: Amplify Plugins
 * Author URI: https://amplifyplugins.com
 * Text Domain: product-condition
 *
 * Woo: 5442025:3ca5a6df70dcd0f9bde8a7df4cd887c6
 * WC requires at least: 3.0.0
 * WC tested up to: 5.1.0
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/*
 * Constants
 */
define( 'PC_PLUGIN_DIR', dirname( __FILE__ ) );
define( 'PC_PLUGIN_DIR_BASENAME', dirname( plugin_basename( __FILE__ ) ) );
define( 'PC_PLUGIN_URL', plugins_url( '', __FILE__ ) );

/**
 * Load textdomain
 */
function product_condition_load_textdomain() {
	load_plugin_textdomain( 'product-condition', false, PC_PLUGIN_DIR_BASENAME . '/languages/' );
}
add_action( 'init', 'product_condition_load_textdomain' );

/**
 * Include required files
 */
require PC_PLUGIN_DIR . '/includes/single-product-tab.php';
require PC_PLUGIN_DIR . '/includes/single-product-display.php';
require PC_PLUGIN_DIR . '/includes/shop-category-display.php';
require PC_PLUGIN_DIR . '/includes/misc-functions.php';
require PC_PLUGIN_DIR . '/includes/settings.php';
require PC_PLUGIN_DIR . '/includes/woocommerce-api.php';
require PC_PLUGIN_DIR . '/includes/quick-edit.php';
require PC_PLUGIN_DIR . '/js/load-scripts.php';
